Loading...
Searching...
No Matches
LeafManager< TreeT >::LeafRange::Iterator Class Reference

`#include <openvdb/tree/LeafManager.h>`

## Public Member Functions

| Iterator (const LeafRange &range, size_t pos)
| Iterator (const Iterator &)=default
Iterator & | operator= (const Iterator &)=default
Iterator & | operator++ ()
| Advance to the next leaf node.
LeafType & | operator* () const
| Return a reference to the leaf node to which this iterator is pointing.
LeafType * | operator-> () const
| Return a pointer to the leaf node to which this iterator is pointing.
BufferType & | buffer (size_t bufferIdx)
| Return the nth buffer for the leaf node to which this iterator is pointing, where n = bufferIdx and n = 0 corresponds to the leaf node's own buffer.
size_t | pos () const
| Return the index into the leaf array of the current leaf node.
bool | isValid () const
| Return `true` if the position of this iterator is in a valid range.
bool | test () const
| Return `true` if this iterator is not yet exhausted.
| operator bool () const
| Return `true` if this iterator is not yet exhausted.
bool | empty () const
| Return `true` if this iterator is exhausted.
bool | operator!= (const Iterator &other) const
bool | operator== (const Iterator &other) const
const LeafRange & | leafRange () const

## Constructor & Destructor Documentation

## Iterator() [1/2]

template<typename TreeT>

Iterator | ( | const LeafRange & | range,
|  | size_t | pos )

inline

## Iterator() [2/2]

template<typename TreeT>

Iterator | ( | const Iterator & |  | ) |

default

## Member Function Documentation

## buffer()

template<typename TreeT>

BufferType & buffer | ( | size_t | bufferIdx | ) |

inline

Return the nth buffer for the leaf node to which this iterator is pointing, where n = bufferIdx and n = 0 corresponds to the leaf node's own buffer.

## empty()

template<typename TreeT>

bool empty | ( |  | ) | const

inline

Return `true` if this iterator is exhausted.

## isValid()

template<typename TreeT>

bool isValid | ( |  | ) | const

inline

Return `true` if the position of this iterator is in a valid range.

## leafRange()

template<typename TreeT>

const LeafRange & leafRange | ( |  | ) | const

inline

## operator bool()

template<typename TreeT>

operator bool | ( |  | ) | const

inline

Return `true` if this iterator is not yet exhausted.

## operator!=()

template<typename TreeT>

bool operator!= | ( | const Iterator & | other | ) | const

inline

## operator*()

template<typename TreeT>

LeafType & operator* | ( |  | ) | const

inline

Return a reference to the leaf node to which this iterator is pointing.

## operator++()

template<typename TreeT>

Iterator & operator++ | ( |  | ) |

inline

Advance to the next leaf node.

## operator->()

template<typename TreeT>

LeafType * operator-> | ( |  | ) | const

inline

Return a pointer to the leaf node to which this iterator is pointing.

## operator=()

template<typename TreeT>

Iterator & operator= | ( | const Iterator & |  | ) |

default

## operator==()

template<typename TreeT>

bool operator== | ( | const Iterator & | other | ) | const

inline

## pos()

template<typename TreeT>

size_t pos | ( |  | ) | const

inline

Return the index into the leaf array of the current leaf node.

## test()

template<typename TreeT>

bool test | ( |  | ) | const

inline

Return `true` if this iterator is not yet exhausted.